Flutter项目启动报错Could not resolve all artifacts for configuration

2019-08-01 412 Lei 2

解决方法:

Android Studio中打开Setting >> Build, Execution, Deployment >> Build Tools >> Gradel >> Android Studio,勾选Enable embedded Maven repository。

允许使用本地镜像,加快速度。


启动Flutter项目的出现以下错误:

* Error running Gradle:

ProcessException: Process "..\android\gradlew.bat" exited abnormally:

Starting a Gradle Daemon (subsequent builds will be faster)

FAILURE: Build failed with an exception.

* What went wrong:

A problem occurred configuring root project 'android'.

> Could not resolve all artifacts for configuration ':classpath'.

> Could not resolve com.google.auto.value:auto-value:1.5.2.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:bundletool:0.5.0

> Could not resolve com.google.auto.value:auto-value:1.5.2.

> Could not get resource 'https://jcenter.bintray.com/com/google/auto/value/auto-value/1.5.2/auto-value-1.5.2.pom'.

> Read timed out

> Could not resolve org.jdom:jdom2:2.0.6.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build.jetifier:jetifier-processor:1.0.0-alpha10

> Skipped due to earlier error

> Could not resolve org.apache.commons:commons-compress:1.12.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1 > com.android.tools:repository:26.2.1

> Skipped due to earlier error

> Could not resolve javax.inject:javax.inject:1.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdk-common:26.2.1

> Skipped due to earlier error

> Could not resolve net.sf.kxml:kxml2:2.3.0.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools.build:manifest-merger:26.2.1

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools.ddms:ddmlib:26.2.1

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1 > com.android.tools.layoutlib:layoutlib-api:26.2.1

> Skipped due to earlier error

> Could not resolve com.google.code.findbugs:jsr305:1.3.9.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools.build:apkzlib:3.2.1

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.analytics-library:shared:26.2.1 > com.google.guava:guava:23.0

> Skipped due to earlier error

> Could not resolve com.google.j2objc:j2objc-annotations:1.1.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.analytics-library:shared:26.2.1 > com.google.guava:guava:23.0

> Skipped due to earlier error

> Could not resolve org.codehaus.mojo:animal-sniffer-annotations:1.14.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.analytics-library:shared:26.2.1 > com.google.guava:guava:23.0

> Skipped due to earlier error

> Could not resolve commons-logging:commons-logging:1.2.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.analytics-library:crash:26.2.1 > org.apache.httpcomponents:httpclient:4.5.2

> Skipped due to earlier error

> Could not resolve commons-codec:commons-codec:1.9.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.analytics-library:crash:26.2.1 > org.apache.httpcomponents:httpclient:4.5.2

> Skipped due to earlier error

> Could not resolve org.jetbrains.kotlin:kotlin-stdlib-common:1.2.71.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > org.jetbrains.kotlin:kotlin-stdlib-jdk8:1.2.71 > org.jetbrains.kotlin:kotlin-stdlib:1.2.71

> Skipped due to earlier error

> Could not resolve org.jetbrains:annotations:13.0.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > org.jetbrains.kotlin:kotlin-stdlib-jdk8:1.2.71 > org.jetbrains.kotlin:kotlin-stdlib:1.2.71

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1 > com.android.tools.layoutlib:layoutlib-api:26.2.1

> Skipped due to earlier error

> Could not resolve com.sun.activation:javax.activation:1.2.0.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1 > com.android.tools:repository:26.2.1

> Skipped due to earlier error

> Could not resolve org.glassfish.jaxb:jaxb-runtime:2.2.11.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1 > com.android.tools:repository:26.2.1

> Skipped due to earlier error

> Could not resolve com.google.jimfs:jimfs:1.1.

Required by:

project : > com.android.tools.build:gradle:3.2.1 > com.android.tools.build:builder:3.2.1 > com.android.tools:sdklib:26.2.1 > com.android.tools:repository:26.2.1

> Skipped due to earlier error

* Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 2m 12s

Command: C:\MyWorkCompany\Flutter\policies_manager\android\gradlew.bat app:properties

Finished with error: Please review your Gradle project setup in the android/ folder.


  0
repostone · 2019-10-04
回复

非技术的路过。

Lei 回复 repostone · 2019-10-08
回复

你的博客打不开了

今生 · 2019-08-25
回复

恰个好友丫 【名称】:今今今生

【地址】:https://noheart.cn

【描述】:医不自医,人不渡己

【头像】:https://secure.gravatar.com/avatar/9f38a40d977e6e8a6a555fef3849f23a

Lei 回复 今生 · 2019-08-28
回复

已加,域名有点狠呐。